#ifndef LIGHTMAP_OUTPUT
#define LIGHTMAP_OUTPUT
//uniform half _LM_Strength, _SM_Strength;
uniform half4 _GiantEnviromentLight;

void LightmapResult(inout Light light,v2f i,out half3 bakedGI,half3 normalWS,float3 positionWS)
{
	bakedGI = SAMPLE_GI(i.lightmapUV, i.vertexSH, normalWS);
#if defined(LIGHTMAP_ON) && defined(SHADOWS_SHADOWMASK)
	half4 shadowmask = SampleShadowMask(i.lightmapUV);
	//half4 shadowmask = lerp(SampleShadowMask(i.lightmapUV), half4(1, 1, 1, 1), _SM_Strength);
	//bakedGI = bakedGI+_LM_Strength;
#else
	half4 shadowmask = half4(0,0,0,0);
#endif
	MixRealtimeAndBakedGI(light, normalWS, bakedGI,shadowmask,positionWS);
		bakedGI = bakedGI * _GiantEnviromentLight.xyz;
}
#endif

